# ACE_RMCast::Retransmit Class Reference

`#include <Retransmit.h>`

Inheritance diagram for ACE_RMCast::Retransmit:

[legend]
Collaboration diagram for ACE_RMCast::Retransmit:

[legend]
List of all members.

## Public Member Functions

| Retransmit (Parameters const &params)
virtual void | out_start (Out_Element *out)
virtual void | out_stop ()
virtual void | send (Message_ptr m)
virtual void | recv (Message_ptr m)

## Private Types

typedef ACE_Hash_Map_Manager< u64, Descr, ACE_Null_Mutex > | Queue

## Private Member Functions

void | track ()

## Static Private Member Functions

ACE_THR_FUNC_RETURN | track_thunk (void *obj)

## Private Attributes

Parameters const & | params_
Queue | queue_
Mutex | mutex_
Condition | cond_
bool | stop_
ACE_Thread_Manager | tracker_mgr_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<u64, Descr, ACE_Null_Mutex> ACE_RMCast::Retransmit::Queue`[private]`

## Constructor & Destructor Documentation

ACE_RMCast::Retransmit::Retransmit | ( | Parameters const & | params | ) |

## Member Function Documentation

void ACE_RMCast::Retransmit::out_start | ( | Out_Element * | out | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Retransmit::out_stop | ( |  | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Retransmit::recv | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Retransmit::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Retransmit::track | ( |  | ) | `[private]`

ACE_THR_FUNC_RETURN ACE_RMCast::Retransmit::track_thunk | ( | void * | obj | ) | `[static, private]`

## Member Data Documentation

Condition ACE_RMCast::Retransmit::cond_`[private]`

Mutex ACE_RMCast::Retransmit::mutex_`[private]`

Parameters const& ACE_RMCast::Retransmit::params_`[private]`

Queue ACE_RMCast::Retransmit::queue_`[private]`

bool ACE_RMCast::Retransmit::stop_`[private]`

ACE_Thread_Manager ACE_RMCast::Retransmit::tracker_mgr_`[private]`

The documentation for this class was generated from the following files:

- Retransmit.h
- Retransmit.cpp